curl -X GET "https://scrape.st/telegram/users/search?q=satoshi&limit=10" \
-H "x-api-key: YOUR_API_KEY"
{
"users": [
{
"id": "123456789",
"username": "satoshi_nakamoto",
"firstName": "Satoshi",
"lastName": "Nakamoto",
"isBot": false
}
],
"channels": [
{
"id": "987654321",
"title": "Satoshi Fan Club",
"username": "satoshi_fans",
"memberCount": 5000,
"isChannel": true,
"isMegagroup": false
}
]
}
Telegram Queries
Search Users
Search for Telegram users
GET
/
telegram
/
users
/
search
curl -X GET "https://scrape.st/telegram/users/search?q=satoshi&limit=10" \
-H "x-api-key: YOUR_API_KEY"
{
"users": [
{
"id": "123456789",
"username": "satoshi_nakamoto",
"firstName": "Satoshi",
"lastName": "Nakamoto",
"isBot": false
}
],
"channels": [
{
"id": "987654321",
"title": "Satoshi Fan Club",
"username": "satoshi_fans",
"memberCount": 5000,
"isChannel": true,
"isMegagroup": false
}
]
}
Search globally for Telegram users by name or username.
Query Parameters
string
required
Search query string (1-1000 characters). You can also use
query instead of
q.number
default:"10"
Number of users to return (1-100)
Response
array
array
curl -X GET "https://scrape.st/telegram/users/search?q=satoshi&limit=10" \
-H "x-api-key: YOUR_API_KEY"
{
"users": [
{
"id": "123456789",
"username": "satoshi_nakamoto",
"firstName": "Satoshi",
"lastName": "Nakamoto",
"isBot": false
}
],
"channels": [
{
"id": "987654321",
"title": "Satoshi Fan Club",
"username": "satoshi_fans",
"memberCount": 5000,
"isChannel": true,
"isMegagroup": false
}
]
}